一些解释：

为什么在UI中没有使用nonebot2提供的logger？ - UI中引入nonebot2依赖是完全不必要的，这只会导致内存占用无意义升高。

你这UI好像黑产。   -不是黑产。

# LazyTea 是什么？

*——来喝一杯下午茶吗？*

LazyTea 是适用于 NoneBot2 的一个本地 GUI 实现。其进程间通信基于 WebSocket 实现，这意味着 LazyTea 经过简单改造后即可用于远程管理。此外，LazyTea 与 NoneBot2 高度解耦，任何定义了 `ipc/func_call.py` 中所有接口的框架都可以自由使用 LazyTea 作为 GUI。本项目即为 LazyTea 在 NoneBot2 的绑定实现。

# 为什么选择 LazyTea？

LazyTea 具有以下优势：

## 技术选型

- **PySide6 作为 UI 框架**：得益于 Qt 6.x 的强大跨平台能力和优异的性能，LazyTea 能够高性能地运行在任何主流操作系统上。
- **进程隔离设计**：LazyTea 作为由主进程派生的子进程运行，这种设计避免了与 NoneBot2 及其插件竞争资源的问题。同时，进程间的高度隔离确保了 LazyTea 的崩溃不会影响主进程的稳定性。

## 用户友好特性

> 提示：如果您仅是普通用户而非开发者，可以跳过以下技术细节。

- **直观的配置文件管理**：NoneBot2 的 env 文件虽然清晰，但随着插件增多容易变得混乱。LazyTea 为每个插件自动生成配置页面，简化了自定义配置的过程。
- **便捷的插件管理**：
  - 自动更新检查：为遵循简单规范的插件提供自动更新服务
  - 插件信息展示：自动显示版本、作者等信息
- **灵活的权限管理**：
  - 提供非侵入式的 Matcher 级权限控制
  - 支持黑白名单机制：开启命令+黑名单=阻断 | 关闭命令+白名单=放行
- **高效的话题追踪**：通过右键消息头部的"话题追踪"功能，可自动分析关键词并检索相关讨论
- **即将上线**：性能分析功能（数据记录已实现，将在未来版本开放）

# 快速开始

## 系统要求


|          | 最低要求 | 推荐配置   | 富哥配置   |
| -------- | -------- | ---------- | ---------- |
| CPU      | 是个CPU  | 双核及以上 | i9-14900KS |
| 内存     | 80MB     | 100MB+     | 192GB      |
| 存储空间 | 200MB    | 300MB+     | 400GB+     |

## 安装方式

按照标准 NoneBot2 插件安装流程即可，无需额外配置。启动机器人时 GUI 将自动加载。

# 开发者指南

本部分面向希望与 LazyTea 联动的插件开发者。

所有集成方式均可参考本项目的顶层 `__init__.py` 实现。

## 插件元数据约定

在插件元数据的 `extra` 字段中添加以下可选字段：


| 字段名         | 类型 | 说明                                                                |
| -------------- | ---- | ------------------------------------------------------------------- |
| `version`      | str  | 用于版本检查，需确保插件主页设为 GitHub 项目地址且版本号与 tag 一致 |
| `icon_abspath` | str  | 插件头像的绝对路径（建议使用优化后的小尺寸图片）                    |
| `author`       | str  | 插件作者声明                                                        |

## 注意事项

1. **关于配置页面**：
   LazyTea 有计划允许开发者替换自动生成的配置页面，但因考虑跨语言兼容性和当前生态现状，该特性优先级较低。
2. **关于权限管理**：

   - 由 LazyTea 自动处理，开发者无需自行实现
   - 建议使用标准 Rule 类型而非自定义实现以确保最佳兼容性
   - 欢迎提交与权限管理相关的 bug 报告

> 提示：LazyTea 暂不存在开放权限管理 API 的计划，
